Bug 735038 - Storing an option as root fails when .katello does not exist
Summary: Storing an option as root fails when .katello does not exist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-01 09:14 UTC by Lukas Zapletal
Modified: 2014-01-27 13:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:55:11 UTC


Attachments (Terms of Use)

Description Lukas Zapletal 2011-09-01 09:14:02 UTC
# kk client remember --option org --value ACME_Corporation
Unsuccessfully remembered option [ org ]
error: [Errno 2] No such file or directory: '/root/.katello/client-options.conf' (more in the log file)

Comment 1 Lukas Zapletal 2011-09-01 09:29:14 UTC
ac834ce 735038 - Storing an option as root fails when .katello does not exist

Comment 3 Og Maciel 2012-02-29 14:59:40 UTC
[root@qetello02 ~]# alias kk="katello -uadmin -padmin"
[root@qetello02 ~]# kk client remember --option org --value SaoPaulo
Successfully remembered option [ org ] 
[root@qetello02 ~]# kk repo list
----------------------------------------------------------------------------------------------------------------------------------------
                                             Repo List For Org SaoPaulo Environment Library

 Id   Name                                                Package Count  
----------------------------------------------------------------------------------------------------------------------------------------
 581  Hourly                                              5089           
 106  Red Hat Enterprise Linux 6 Server RPMs x86_64 6.1   5627           
 105  Red Hat Enterprise Linux 6 Server RPMs x86_64 6.2   6903     

Validated:
* candlepin-0.5.22-1.el6.noarch
* candlepin-tomcat6-0.5.22-1.el6.noarch
* katello-0.1.300-1.el6.noarch
* katello-all-0.1.300-1.el6.noarch
* katello-certs-tools-1.0.2-2.el6.noarch
* katello-cli-0.1.100-2.el6.noarch
* katello-cli-common-0.1.100-2.el6.noarch
* katello-common-0.1.300-1.el6.noarch
* katello-configure-0.1.100-7.el6.noarch
* katello-glue-candlepin-0.1.300-1.el6.noarch
* katello-glue-foreman-0.1.300-1.el6.noarch
* katello-glue-pulp-0.1.300-1.el6.noarch
* katello-httpd-ssl-key-pair-1.0-1.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-repos-0.1.5-1.el6.noarch
* katello-selinux-0.1.7-1.el6.noarch
* katello-trusted-ssl-cert-1.0-1.noarch
* pulp-0.0.267-2.el6.noarch
* pulp-admin-0.0.267-2.el6.noarch
* pulp-client-lib-0.0.267-2.el6.noarch
* pulp-common-0.0.267-2.el6.noarch
* pulp-selinux-server-0.0.267-2.el6.noarch


Note You need to log in before you can comment on or make changes to this bug.